TLSSessionInfo (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.security.transport

## Class TLSSessionInfo

- java.lang.Object
- - org.apache.cxf.security.transport.TLSSessionInfo

-     public class TLSSessionInfo
      extends Object

  An immutable struct that contains information about a negotiated TLS Session, including the (potentially negotiated) peer certificates as well as the currently effective TLS cipher suite.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TLSSessionInfo​(String suite)` | This constructor has the effect of calling TLSSessionInfo(null, suite)
    `TLSSessionInfo​(String suite, SSLSession session, Certificate[] certs)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getChipherSuite()` | Deprecated.
    `String` | `getCipherSuite()` |
    `Certificate[]` | `getPeerCertificates()` |
    `SSLSession` | `getSSLSession()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TLSSessionInfo

          public TLSSessionInfo​(String suite)

      This constructor has the effect of calling TLSSessionInfo(null, suite)

    - #### TLSSessionInfo

          public TLSSessionInfo​(String suite,
                                SSLSession session,
                                Certificate[] certs)

      Parameters:
        `suite` - The negotiated cipher suite This parameter may not be null, by contract
        `session` - The JSSE representation of the SSL Session negotiated with the peer (optionally null, if it is unavailable)
        `certs` - the peer X.509 certificate chain (optionally null)

  - ### Method Detail

    - #### getChipherSuite

          @Deprecated
          public final String getChipherSuite()

      Deprecated.
      Returns:
        the negotiated cipher suite. This attribute is guaranteed to be non-null.

    - #### getCipherSuite

          public final String getCipherSuite()

      Returns:
        the negotiated cipher suite. This attribute is guaranteed to be non-null.

    - #### getPeerCertificates

          public final Certificate[] getPeerCertificates()

      Returns:
        the peer X.509 certificate chain, as negotiated though the TLS handshake. This attribute may be null, for example, if the SSL peer has not been authenticated.

    - #### getSSLSession

          public final SSLSession getSSLSession()

      Returns:
        the negotiated SSL Session. This attribute may be null if it is unavailable from the underlying transport.